CREATE TABLE cst_cogs_variance_costs (
    COGS_VARIANCE_COST_ID     NUMBER(18, 0) ,
    COGS_TRANSACTION_ID       NUMBER(18, 0)     NOT NULL,
    CST_TRANSACTION_ID        NUMBER(18, 0)     NOT NULL,
    CST_VARIANCE_COST_ID      NUMBER(18, 0)     NOT NULL,
    QUANTITY                  NUMBER        ,
    DISTRIBUTION_ID           NUMBER(18, 0) ,
    POSTED_FLAG               VARCHAR2(20)  ,
    REQUEST_ID                NUMBER(18, 0) ,
    JOB_DEFINITION_NAME       VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE    VARCHAR2(3600),
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    COGS_VARIANCE_COST_ID     NUMBER(18, 0) ,
    COGS_TRANSACTION_ID       NUMBER(18, 0)     NOT NULL,
    CST_TRANSACTION_ID        NUMBER(18, 0)     NOT NULL,
    CST_VARIANCE_COST_ID      NUMBER(18, 0)     NOT NULL,
    QUANTITY                  NUMBER        ,
    DISTRIBUTION_ID           NUMBER(18, 0) ,
    POSTED_FLAG               VARCHAR2(20)  ,
    REQUEST_ID                NUMBER(18, 0) ,
    JOB_DEFINITION_NAME       VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE    VARCHAR2(3600),
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    CONSTRAINT pk_cst_cogs_variance_costs PRIMARY KEY (COGS_VARIANCE_COST_ID, COGS_VARIANCE_COST_ID)
);
